# ai_info.cpp File Reference

Implementation of AIFileInfo. More...

`#include "../stdafx.h"`
`#include "../script/squirrel_helper.hpp"`
`#include "ai_info.hpp"`
`#include "ai_scanner.hpp"`
`#include "../settings_type.h"`
`#include "../debug.h"`
`#include "../rev.h"`

Go to the source code of this file.

## Functions
static bool | CheckAPIVersion (const char *api_version)
| Check if the API version provided by the AI is supported.
## Variables
static const int | MAX_GET_SETTING_OPS = 100000
| Maximum number of operations allowed for getting a particular setting.
AIConfigItem | _start_date_config
| Configuration for AI start date, every AI has this setting.

## Detailed Description

Implementation of AIFileInfo.

Definition in file ai_info.cpp.

## Function Documentation

static bool CheckAPIVersion | ( | const char * | api_version | ) | `[static]`

Check if the API version provided by the AI is supported.

Parameters:

  | api_version | The API version as provided by the AI.

Definition at line 58 of file ai_info.cpp.

Referenced by AIInfo::Constructor().

## Variable Documentation

AIConfigItem _start_date_config

Initial value:

     {
      "start_date",
      "Number of days to start this AI after the previous one (give or take)",
      AI::START_NEXT_MIN,
      AI::START_NEXT_MAX,
      AI::START_NEXT_MEDIUM,
      AI::START_NEXT_EASY,
      AI::START_NEXT_MEDIUM,
      AI::START_NEXT_HARD,
      AI::START_NEXT_DEVIATION,
      30,
      AICONFIG_NONE,
      NULL
    }

Configuration for AI start date, every AI has this setting.

Definition at line 25 of file ai_info.cpp.

Referenced by AIConfig::ChangeAI(), and AIConfig::GetConfigList().

const int MAX_GET_SETTING_OPS = 100000`[static]`

Maximum number of operations allowed for getting a particular setting.

Definition at line 22 of file ai_info.cpp.

Referenced by AILibrary::Constructor(), AIInfo::Constructor(), and AIInfo::GetSettings().